org.eclipse.emf.facet.util.emf.core.catalog

## Interface ICatalogManagerFactory

    public interface ICatalogManagerFactory

Since:
  1.1
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICatalogManagerFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICatalogManager` `createCatalogManager(ICatalogManagerConfiguration catalogMgrconfig, ResourceSet resourceSet)` The returned catalog will not be serialized on file system.
`ICatalogManager` `getOrCreateCatalogManager(ICatalogManagerConfiguration catalogMgrconfig, ResourceSet resourceSet, java.lang.String catalogId)` The returned catalog will be serialized on file system.

### Field Detail

#### DEFAULT

    static final ICatalogManagerFactory DEFAULT

### Method Detail

#### getOrCreateCatalogManager

    ICatalogManager getOrCreateCatalogManager(ICatalogManagerConfiguration catalogMgrconfig,
                                              ResourceSet resourceSet,
                                              java.lang.String catalogId)

The returned catalog will be serialized on file system. The serialization file will be named using the id parameter value.

#### createCatalogManager

    ICatalogManager createCatalogManager(ICatalogManagerConfiguration catalogMgrconfig,
                                         ResourceSet resourceSet)

The returned catalog will not be serialized on file system. The eObject will be stored in resource having a URI starting with `tmp://`